## vdr-plugin-remote 0.3.2

=== Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id: Makefile,v 1.2 2004/11/07 20:23:22 chelli-guest Exp $

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.
#
PLUGIN = remote

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The C++ compiler and options:

CXX      ?= g++
CXXFLAGS ?= -O2 -Wall -Woverloaded-virtual

### The directory environment:

DVBDIR = ../../../../DVB
VDRDIR = ../../..
LIBDIR = ../../lib
TMPDIR = /tmp

### Allow user defined options to overwrite defaults:

-include $(VDRDIR)/Make.config

### The version number of VDR (taken from VDR's "config.h"):

VDRVERSION = $(shell grep 'define VDRVERSION ' $(VDRDIR)/config.h | awk '{ print $$3 }' | sed -e 's/"//g')

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### Includes and Defines (add further entries here):

INCLUDES += -I$(VDRDIR)/include -I$(DVBDIR)/include

DEFINES += -DPLUGIN_NAME_I18N='"$(PLUGIN)"'
DEFINES += -D_GNU_SOURCE

# optional components
DEFINES += -DREMOTE_FEATURE_LIRC
DEFINES += -DREMOTE_FEATURE_TCPIP

### The object files (add further files here):

OBJS = $(PLUGIN).o i18n.o ttystatus.o
ifneq (, $(findstring REMOTE_FEATURE_TCPIP, $(DEFINES)))
OBJS += remotetcp.o
endif

### Implicit rules:

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<

# Dependencies:

MAKEDEP = g++ -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Targets:

all: libvdr-$(PLUGIN).so

libvdr-$(PLUGIN).so: $(OBJS)
	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
	@cp $@ $(LIBDIR)/$@.$(VDRVERSION)

dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

## vdr-plugin-remote 0.3.3

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile,v 1.2 2004/11/07 20:23:22 chelli-guest Exp $
+# $Id$
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.

## vdr-plugin-remote 0.3.8

=== Makefile ===
--- 
+++ 
@@ -16,11 +16,10 @@
 ### The C++ compiler and options:
 
 CXX      ?= g++
-CXXFLAGS ?= -O2 -Wall -Woverloaded-virtual
+CXXFLAGS ?= -fPIC -O2 -Wall -Woverloaded-virtual
 
 ### The directory environment:
 
-DVBDIR = ../../../../DVB
 VDRDIR = ../../..
 LIBDIR = ../../lib
 TMPDIR = /tmp
@@ -29,9 +28,14 @@
 
 -include $(VDRDIR)/Make.config
 
-### The version number of VDR (taken from VDR's "config.h"):
+### The version number of VDR's plugin API (taken from VDR's "config.h"):
 
-VDRVERSION = $(shell grep 'define VDRVERSION ' $(VDRDIR)/config.h | awk '{ print $$3 }' | sed -e 's/"//g')
+APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
+
+ifeq ($(APIVERSION),)
+### Backward compatibility: use version number of VDR!
+APIVERSION = $(shell sed -ne '/define VDRVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
+endif
 
 ### The name of the distribution archive:
 
@@ -40,10 +44,9 @@
 
 ### Includes and Defines (add further entries here):
 
-INCLUDES += -I$(VDRDIR)/include -I$(DVBDIR)/include
+INCLUDES += -I$(VDRDIR)/include
 
-DEFINES += -DPLUGIN_NAME_I18N='"$(PLUGIN)"'
-DEFINES += -D_GNU_SOURCE
+DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'
 
 # optional components
 DEFINES += -DREMOTE_FEATURE_LIRC
@@ -63,7 +66,7 @@
 
 # Dependencies:
 
-MAKEDEP = g++ -MM -MG
+MAKEDEP = $(CXX) -MM -MG
 DEPFILE = .dependencies
 $(DEPFILE): Makefile
 	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@
@@ -76,7 +79,7 @@
 
 libvdr-$(PLUGIN).so: $(OBJS)
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
-	@cp $@ $(LIBDIR)/$@.$(VDRVERSION)
+	@cp $@ $(LIBDIR)/$@.$(APIVERSION)
 
 dist: clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)

## vdr-plugin-remote 0.4.0

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,8 @@
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
 # By default the main source file also carries this name.
+# IMPORTANT: the presence of this macro is important for the Make.config
+# file. So it must be defined, even if it is not used here!
 #
 PLUGIN = remote
 
@@ -48,23 +50,27 @@
 
 DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'
 
-# optional components
+### optional components
 DEFINES += -DREMOTE_FEATURE_LIRC
 DEFINES += -DREMOTE_FEATURE_TCPIP
 
 ### The object files (add further files here):
 
-OBJS = $(PLUGIN).o i18n.o ttystatus.o
+OBJS = $(PLUGIN).o ttystatus.o
 ifneq (, $(findstring REMOTE_FEATURE_TCPIP, $(DEFINES)))
 OBJS += remotetcp.o
 endif
+
+### The main target:
+
+all: libvdr-$(PLUGIN).so i18n
 
 ### Implicit rules:
 
 %.o: %.c
 	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<
 
-# Dependencies:
+### Dependencies:
 
 MAKEDEP = $(CXX) -MM -MG
 DEPFILE = .dependencies
@@ -73,9 +79,37 @@
 
 -include $(DEPFILE)
 
+### Internationalization (I18N):
+
+ifneq ($(shell grep 'LOCALEDIR' $(VDRDIR)/Makefile),)
+PODIR     = po
+LOCALEDIR = $(VDRDIR)/locale
+I18Npo    = $(wildcard $(PODIR)/*.po)
+I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
+I18Ndirs  = $(notdir $(foreach file, $(I18Npo), $(basename $(file))))
+I18Npot   = $(PODIR)/$(PLUGIN).pot
+
+%.mo: %.po
+	msgfmt -c -o $@ $<
+
+$(I18Npot): $(wildcard *.c)
+	xgettext -C -cTRANSLATORS --no-wrap -F -k -ktr -ktrNOOP --msgid-bugs-address='<o.endriss@gmx.de>' -o $@ $(wildcard *.c)
+
+$(I18Npo): $(I18Npot)
+	msgmerge -U --no-wrap -F --backup=none -q $@ $<
+
+i18n: $(I18Nmo)
+	@mkdir -p $(LOCALEDIR)
+	for i in $(I18Ndirs); do\
+	    mkdir -p $(LOCALEDIR)/$$i/LC_MESSAGES;\
+	    cp $(PODIR)/$$i.mo $(LOCALEDIR)/$$i/LC_MESSAGES/vdr-$(PLUGIN).mo;\
+	    done
+else
+OBJS += i18n.o
+i18n: ;
+endif
+
 ### Targets:
-
-all: libvdr-$(PLUGIN).so
 
 libvdr-$(PLUGIN).so: $(OBJS)
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
@@ -90,4 +124,5 @@
 	@echo Distribution package created as $(PACKAGE).tgz
 
 clean:
-	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~
+	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
+	@-rm -f *.o $(DEPFILE) *.so *.tgz core* *~

=== debian/changelog ===
vdr-plugin-remote (0.4.0-22) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.18)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Apr 2011 20:06:15 +0200

vdr-plugin-remote (0.4.0-21) unstable; urgency=low

  * Build-depend on vdr-dev >= 1.7.17
  * Updated debian/copyright
  * Standards-Version: 3.9.1
  * Switched to debhelper 7 and dropped cdbs

 -- Tobias Grimm <etobi@debian.org>  Sat, 09 Apr 2011 13:14:17 +0200

vdr-plugin-remote (0.4.0-20) unstable; urgency=low

  [ Thomas Schmidt ]
  * Updated debian/copyright

  [ Tobias Grimm ]
  * Build-depend on vdr-dev >= 1.6.0-16

 -- Tobias Grimm <etobi@debian.org>  Sun, 04 Apr 2010 15:20:37 +0200

vdr-plugin-remote (0.4.0-19) unstable; urgency=low

  * Added Japanese debconf translation provided by Hideki Yamane
    (Closes: #556138)
  * Standards-Version: 3.8.4

 -- Tobias Grimm <etobi@debian.org>  Fri, 05 Mar 2010 00:36:17 +0100

vdr-plugin-remote (0.4.0-18) unstable; urgency=low

  * Removed non-standard shebang line from debian/rules (Closes: #552654)
  * Added README.source
  * Added Spanish debconf template translation (Closes: #552801)

 -- Tobias Grimm <etobi@debian.org>  Mon, 09 Nov 2009 00:10:25 +0100

vdr-plugin-remote (0.4.0-17) unstable; urgency=low

  * Added Russian debconf templates translation (Closes: #549688)
  * Standards-Version: 3.8.3

 -- Tobias Grimm <etobi@debian.org>  Sat, 10 Oct 2009 00:14:45 +0200

vdr-plugin-remote (0.4.0-16) unstable; urgency=low

  * Release for vdrdevel 1.7.6
  * Bumped standards version to 3.8.1
  * Updated debian/copyright
  * Changed section to "video"

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 29 Apr 2009 23:11:03 +0200

vdr-plugin-remote (0.4.0-15) unstable; urgency=low

  * Updated Swedish debconf translation provided by Martin Bagge
    (Closes: #491961)

 -- Tobias Grimm <tg@e-tobi.net>  Fri, 25 Jul 2008 19:26:51 +0200

vdr-plugin-remote (0.4.0-14) unstable; urgency=low

  [ Tobias Grimm ]
  * Dropped patchlevel control field
  * Build-Depend on vdr-dev (>=1.6.0-5)
  * Bumped Standards-Version to 3.8.0
  * Using COMPAT=5 now

 -- Thomas Schmidt <tschmidt@debian.org>  Sat, 19 Jul 2008 18:09:46 +0200

vdr-plugin-remote (0.4.0-13) unstable; urgency=low

  * Upload to unstable

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 08 Jun 2008 23:51:58 +0200

vdr-plugin-remote (0.4.0-12) experimental; urgency=low

  * Increased package version to force rebuild for vdr 1.6.0-1ctvdr7

 -- Tobias Grimm <tg@e-tobi.net>  Mon, 12 May 2008 13:08:07 +0200

vdr-plugin-remote (0.4.0-11) experimental; urgency=low

  [ Thomas Schmidt ]
  * Build-Depend on vdr-dev (>=1.6.0)
  * Updated years in debian/copyright

  [ Tobias Grimm ]
  * Using COMPAT=5 now

 -- Tobias Grimm <tg@e-tobi.net>  Fri, 04 Apr 2008 00:13:29 +0200

vdr-plugin-remote (0.4.0-10) experimental; urgency=low

  * Force rebuild for vdr 1.5.15

 -- Tobias Grimm <tg@e-tobi.net>  Mon, 18 Feb 2008 21:08:47 +0100

vdr-plugin-remote (0.4.0-9) experimental; urgency=low

  * Force update for new VDR release

 -- Tobias Grimm <tg@e-tobi.net>  Sat, 16 Feb 2008 22:27:20 +0100

vdr-plugin-remote (0.4.0-8) unstable; urgency=low

   * Switched Build-System to cdbs, Build-Depend on cdbs
   * Added Homepage field to debian/control
   * Renamed XS-Vcs-* fields to Vcs-* in debian/control
   * Bumped Standards-Version to 3.7.3

 -- Thomas Schmidt <tschmidt@debian.org>  Fri, 28 Dec 2007 22:14:48 +0100

vdr-plugin-remote (0.4.0-7) unstable; urgency=low

  [ Thomas Günther ]
  * Fixed build with vdr 1.5.x

 -- Tobias Grimm <tg@e-tobi.net>  Sat, 08 Dec 2007 00:19:59 +0100

vdr-plugin-remote (0.4.0-6) unstable; urgency=low

  * Made package work with vdr 1.4.7 and 1.5.x

 -- Tobias Grimm <tg@e-tobi.net>  Tue, 27 Nov 2007 23:45:58 +0100

vdr-plugin-remote (0.4.0-5) unstable; urgency=low

  * Release for vdrdevel 1.5.12

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 20 Nov 2007 23:46:27 +0100

vdr-plugin-remote (0.4.0-4) unstable; urgency=low

  * Release for vdrdevel 1.5.11

 -- Thomas Günther <tom@toms-cafe.de>  Tue,  6 Nov 2007 23:34:19 +0100

vdr-plugin-remote (0.4.0-3) unstable; urgency=low

  * Added Dutch translation (nl.po) of the debconf template
    from Bart Cornelis (closes: #448012)

 -- Tobias Grimm <tg@e-tobi.net>  Fri, 26 Oct 2007 00:04:42 +0200

vdr-plugin-remote (0.4.0-2) unstable; urgency=low

  * Release for vdrdevel 1.5.10

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 16 Oct 2007 23:51:00 +0200

vdr-plugin-remote (0.4.0-1) unstable; urgency=low

  * New upstream release
  * Added gettext to Build-Depends
  * Added installation of locale files
  * Added 90_remote-0.4.0-1.5.7.dpatch
  * Added dpatch to Build-Depends
  * Fixed debian-rules-ignores-make-clean-error
  * Updated debian/copyright

 -- Thomas Günther <tom@toms-cafe.de>  Sat,  6 Oct 2007 20:40:35 +0200

vdr-plugin-remote (0.3.9-9) unstable; urgency=low

  * Release for vdrdevel 1.5.9

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 28 Aug 2007 01:01:10 +0200

vdr-plugin-remote (0.3.9-8) unstable; urgency=low

  * Release for vdrdevel 1.5.8

 -- Thomas Günther <tom@toms-cafe.de>  Thu, 23 Aug 2007 01:09:07 +0200

vdr-plugin-remote (0.3.9-7) unstable; urgency=low

  * Release for vdrdevel 1.5.6

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 14 Aug 2007 01:46:20 +0200

vdr-plugin-remote (0.3.9-6) unstable; urgency=low

  * Added Portuguese debconf translation (pt.po), many thanks to
    Américo Monteiro and Miguel Figueiredo (closes: #436303)
  * Added full license disclaimer and copyright years to debian/copyright

 -- Tobias Grimm <tg@e-tobi.net>  Sun, 12 Aug 2007 16:05:57 +0200

vdr-plugin-remote (0.3.9-5) unstable; urgency=low

  * Release for vdrdevel 1.5.5

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 27 Jun 2007 23:02:42 +0200

vdr-plugin-remote (0.3.9-4) unstable; urgency=low

  * Added XS-Vcs-Svn and XS-Vcs-Browser fields to debian/control

 -- Thomas Schmidt <tschmidt@debian.org>  Mon, 28 May 2007 20:00:13 +0200

vdr-plugin-remote (0.3.9-3) experimental; urgency=low



=== debian/control ===
Source: vdr-plugin-remote
Section: video
Priority: extra
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Peter Siering <ps@ctmagazin.de>, Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 7.0.50~), po-debconf, vdr-dev (>= 1.7.18), gettext
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/pkg-vdr-dvb/vdr/vdr-plugin-remote/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-vdr-dvb/vdr/vdr-plugin-remote/trunk/
Homepage: http://www.escape-edv.de/endriss/vdr/

Package: vdr-plugin-remote
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: VDR Plugin to support the built-in remote control port of DVB-Cards
 This plugin for VDR supports the built-in remote control 
 port of some DVB-Cards or CI-Modules.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

MAKE_OPTIONS = VDRDIR=/usr/include/vdr LIBDIR=. LOCALEDIR=locale

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- all $(MAKE_OPTIONS)

override_dh_auto_install:
	# NOP

override_dh_auto_clean:
	$(MAKE) -o .dependencies clean $(MAKE_OPTIONS)
	rm -rf locale libvdr-*.so.*

override_dh_gencontrol:
	sh /usr/share/vdr-dev/dependencies.sh
	dh_gencontrol

## vdr-plugin-remote 0.5.0

=== Makefile ===
#
# Remote Control plugin for the Video Disk Recorder
#
# Copyright (C) 2002-2010 Oliver Endriss <o.endriss@gmx.de>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
# Or, point your browser to http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
#

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.

PLUGIN = remote

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The directory environment:
# Use package data if installed...otherwise assume we're under the VDR source directory:
PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell pkg-config --variable=$(1) vdr || pkg-config --variable=$(1) ../../../vdr.pc))
LIBDIR = $(DESTDIR)$(call PKGCFG,libdir)
LOCDIR = $(DESTDIR)$(call PKGCFG,locdir)
#
TMPDIR ?= /tmp

### The compiler options:

export CFLAGS   = $(call PKGCFG,cflags)
export CXXFLAGS = $(call PKGCFG,cxxflags)

### The version number of VDR's plugin API:

APIVERSION = $(call PKGCFG,apiversion)


### Backward compatibility stuff
ifeq ($(LOCDIR),)
### The C++ compiler and options:

CXX      ?= g++
CXXFLAGS ?= -fPIC -O2 -Wall -Woverloaded-virtual

### The directory environment:

VDRDIR = ../../..
LIBDIR = ../../lib

### Allow user defined options to overwrite defaults:

-include $(VDRDIR)/Make.config

### The version number of VDR's plugin API (taken from VDR's "config.h"):

APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)

ifeq ($(APIVERSION),)
### Backward compatibility: use version number of VDR!
APIVERSION = $(shell sed -ne '/define VDRVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
endif

LOCDIR = $(VDRDIR)/locale

### Includes and Defines (add further entries here):

DEFINES += -D_GNU_SOURCE

INCLUDES += -I$(VDRDIR)/include

### Run 'install' for target 'all':

all: install

ifeq ($(shell grep 'I18N_DEFAULT_LOCALE' $(VDRDIR)/i18n.h),)
OLD_I18N = 1

i18n install-i18n:
	
endif
endif # compatibility section

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### The name of the shared object file:

SOFILE = libvdr-$(PLUGIN).so

### Includes and Defines (add further entries here):

DEFINES += -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

### optional components
DEFINES += -DREMOTE_FEATURE_LIRC
DEFINES += -DREMOTE_FEATURE_TCPIP

### The object files (add further files here):

OBJS = $(PLUGIN).o
OBJS += ttystatus.o
ifneq (, $(findstring REMOTE_FEATURE_TCPIP, $(DEFINES)))
OBJS += remotetcp.o
endif
ifneq ($(OLD_I18N),)
OBJS += i18n.o
endif

### The main target:

all: $(SOFILE) i18n

### Implicit rules:

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<

### Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Internationalization (I18N):

ifeq ($(OLD_I18N),)
PODIR     = po
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
I18Nmsgs  = $(addprefix $(LOCDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot   = $(PODIR)/$(PLUGIN).pot

%.mo: %.po
	msgfmt -c -o $@ $<

$(I18Npot): $(wildcard *.c)
	xgettext -C -cTRANSLATORS --no-wrap -F -k -ktr -ktrNOOP --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) --msgid-bugs-address='<o.endriss@gmx.de>' -o $@ `ls $^`

%.po: $(I18Npot)
	msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
	@touch $@

$(I18Nmsgs): $(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
	install -D -m644 $< $@

.PHONY: i18n
i18n: $(I18Nmo) $(I18Npot)

install-i18n: $(I18Nmsgs)
endif

### Targets:

$(SOFILE): $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -o $@

install-lib: $(SOFILE)
	install -D $^ $(LIBDIR)/$^.$(APIVERSION)

install: install-lib install-i18n

dist: $(I18Npo) clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

env:
	@echo "Configuration:"
	@echo "  APIVERSION $(APIVERSION)"
	@echo "  CXX $(CXX)  CXXFLAGS $(CXXFLAGS)"
	@echo "  VDRDIR $(VDRDIR)  LIBDIR $(LIBDIR)  LOCDIR $(LOCDIR)"

=== debian/changelog ===
vdr-plugin-remote (0.5.0-6) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.0.6)
  * Standards-Version: 3.9.5

 -- Tobias Grimm <etobi@debian.org>  Sun, 26 Oct 2014 14:21:11 +0100

vdr-plugin-remote (0.5.0-5) unstable; urgency=low

  * Build-depend on vdr-dev (>= 2.0.0)

 -- Tobias Grimm <etobi@debian.org>  Sun, 31 Mar 2013 14:00:15 +0200

vdr-plugin-remote (0.5.0-4) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.42)

 -- Tobias Grimm <etobi@debian.org>  Sat, 23 Mar 2013 20:48:20 +0100

vdr-plugin-remote (0.5.0-3) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.41)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Mar 2013 19:51:21 +0100

vdr-plugin-remote (0.5.0-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.40)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Mar 2013 19:51:07 +0100

vdr-plugin-remote (0.5.0-1) unstable; urgency=low

  * Use debhelper 9
  * Build-depend on vdr-dev (>= 1.7.39)
  * New upstream release

 -- Tobias Grimm <etobi@debian.org>  Tue, 05 Mar 2013 21:32:40 +0100

vdr-plugin-remote (0.4.0-31) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.28)

 -- Tobias Grimm <etobi@debian.org>  Sat, 09 Jun 2012 18:22:33 +0200

vdr-plugin-remote (0.4.0-30) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.27)

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Apr 2012 23:03:22 +0200

vdr-plugin-remote (0.4.0-29) unstable; urgency=low

  * Added Danish translation of the debconf templates (Closes: #659234)

 -- Tobias Grimm <etobi@debian.org>  Wed, 04 Apr 2012 23:00:05 +0200

vdr-plugin-remote (0.4.0-28) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.26)
  * Standards-Version: 3.9.3

 -- Tobias Grimm <etobi@debian.org>  Sun, 25 Mar 2012 12:19:46 +0200

vdr-plugin-remote (0.4.0-27) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.23)

 -- Tobias Grimm <etobi@debian.org>  Sun, 29 Jan 2012 19:05:23 +0100

vdr-plugin-remote (0.4.0-26) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.22)

 -- Tobias Grimm <etobi@debian.org>  Sun, 11 Dec 2011 17:16:36 +0100

vdr-plugin-remote (0.4.0-25) unstable; urgency=low

  * Switched to GIT using pristine tar

 -- Tobias Grimm <etobi@debian.org>  Sat, 29 Oct 2011 20:11:05 +0200

vdr-plugin-remote (0.4.0-24) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.21)

 -- Tobias Grimm <etobi@debian.org>  Sun, 18 Sep 2011 18:23:34 +0200

vdr-plugin-remote (0.4.0-23) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.20)
  * Standards-Version: 3.9.2

 -- Tobias Grimm <etobi@debian.org>  Sat, 20 Aug 2011 15:25:35 +0200

=== debian/control ===
Source: vdr-plugin-remote
Section: video
Priority: extra
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Peter Siering <ps@ctmagazin.de>, Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 9), po-debconf, vdr-dev (>= 2.0.6), gettext, pkg-config
Standards-Version: 3.9.5
Homepage: http://www.escape-edv.de/endriss/vdr/
Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-remote.git
Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-remote.git

Package: vdr-plugin-remote
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: VDR Plugin to support the built-in remote control port of DVB-Cards
 This plugin for VDR supports the built-in remote control
 port of some DVB-Cards or CI-Modules.

## vdr-plugin-remote 0.7.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Remote Control plugin for the Video Disk Recorder
 #
-# Copyright (C) 2002-2010 Oliver Endriss <o.endriss@gmx.de>
+# Copyright (C) 2002-2015 Oliver Endriss <o.endriss@gmx.de>
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -34,6 +34,7 @@
 PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell pkg-config --variable=$(1) vdr || pkg-config --variable=$(1) ../../../vdr.pc))
 LIBDIR = $(DESTDIR)$(call PKGCFG,libdir)
 LOCDIR = $(DESTDIR)$(call PKGCFG,locdir)
+PLGCFG = $(call PKGCFG,plgcfg)
 #
 TMPDIR ?= /tmp
 
@@ -90,6 +91,11 @@
 i18n install-i18n:
 	
 endif
+
+else # compatibility section
+
+-include $(PLGCFG)
+
 endif # compatibility section
 
 ### The name of the distribution archive:
@@ -119,6 +125,7 @@
 ifneq ($(OLD_I18N),)
 OBJS += i18n.o
 endif
+OBJS += compat.o
 
 ### The main target:
 
@@ -191,6 +198,6 @@
 env:
 	@echo "Configuration:"
 	@echo "  APIVERSION $(APIVERSION)"
-	@echo "  CXX $(CXX)  CXXFLAGS $(CXXFLAGS)"
+	@echo "  CXX $(CXX)  CXXFLAGS $(CXXFLAGS)  LDFLAGS $(LDFLAGS)"
 	@echo "  VDRDIR $(VDRDIR)  LIBDIR $(LIBDIR)  LOCDIR $(LOCDIR)"

=== debian/changelog ===
vdr-plugin-remote (0.7.0-6) unstable; urgency=medium

  * Build-depend on vdr 2.6.0 and update standards version to 4.6.0
  * Remove Peter Siering, Thomas Günther and Thomas Schmidt from uploaders

 -- Tobias Grimm <etobi@debian.org>  Wed, 12 Jan 2022 21:03:52 +0100

vdr-plugin-remote (0.7.0-5) unstable; urgency=medium

  * Depend on debhelper-compat (= 13)
  * Build-Depend on vdr >= 2.4.7
  * Fix FTCBFS: Use the host architecture pkg-config
  * Update debian/watch to version 4

 -- Tobias Grimm <etobi@debian.org>  Thu, 16 Dec 2021 00:01:44 +0100

vdr-plugin-remote (0.7.0-4) unstable; urgency=medium

  * Standards-Version: 4.4.1

 -- Tobias Grimm <etobi@debian.org>  Fri, 01 Nov 2019 14:37:02 +0100

vdr-plugin-remote (0.7.0-3) unstable; urgency=medium

  * Build-depend on vdr-dev >= 2.4.1

 -- Tobias Grimm <etobi@debian.org>  Sat, 20 Jul 2019 05:34:59 +0200

vdr-plugin-remote (0.7.0-2) unstable; urgency=medium

  * VCS moved to salsa.debian.org
  * Replaced priority extra with optional
  * Build-depend on vdr-dev (>= 2.4.0)
  * Standards-Version: 4.1.3

 -- Tobias Grimm <etobi@debian.org>  Sun, 15 Apr 2018 19:39:51 +0200

vdr-plugin-remote (0.7.0-1) unstable; urgency=medium

  * New upstream release
  * Removed the debconf setting to configure the evdev module loading
  * Patched Makefile to disable update of *.po during build

 -- Tobias Grimm <etobi@debian.org>  Sat, 26 Sep 2015 12:50:26 +0200

vdr-plugin-remote (0.6.0-1) unstable; urgency=medium

  * New upstream release

 -- Tobias Grimm <etobi@debian.org>  Thu, 03 Sep 2015 19:01:18 +0200

vdr-plugin-remote (0.5.0-8) unstable; urgency=medium

  * Now supporting the /etc/vdr/conf.d mechanism

 -- Tobias Grimm <etobi@debian.org>  Mon, 23 Mar 2015 23:09:13 +0100

vdr-plugin-remote (0.5.0-7) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.2.0)
  * Standards-Version: 3.9.6

 -- Tobias Grimm <etobi@debian.org>  Sun, 22 Feb 2015 12:08:54 +0100

=== debian/control ===
Source: vdr-plugin-remote
Section: video
Priority: optional
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Tobias Grimm <etobi@debian.org>
Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0), gettext, pkg-config
Standards-Version: 4.6.0
Homepage: http://www.escape-edv.de/endriss/vdr/
Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-remote.git
Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-remote

Package: vdr-plugin-remote
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: VDR Plugin to support the built-in remote control port of DVB-Cards
 This plugin for VDR supports the built-in remote control
 port of some DVB-Cards or CI-Modules.

=== debian/watch ===
version=4
http://www.escape-edv.de/endriss/vdr/vdr-remote-(.*)\.tgz debian uupdate
